name: njoy_driver
description: A new Flutter project.
publish_to: "none" # Remove this line if you wish to publish to pub.dev
version: 1.0.0+1

environment:
  sdk: ">=3.0.2 <4.0.0"

dependencies:
  badges: ^3.1.1
  cached_network_image: ^3.2.3
  connectivity_plus: ^4.0.1
  cupertino_icons: ^1.0.2
  dio: ^5.2.0
  firebase_core: ^2.13.1
  firebase_messaging: ^14.6.2
  flutter:
    sdk: flutter
  flutter_background_service: ^3.0.1
  flutter_gen: ^5.3.1
  flutter_local_notifications: ^14.1.1
  flutter_localizations:
    sdk: flutter
  flutter_spinkit: ^5.2.0
  flutter_svg: ^2.0.6
  fluttertoast: ^8.2.2
  geocoding: ^2.1.0
  geolocator: ^9.0.2
  get: ^4.6.5
  get_storage: ^2.1.1
  google_fonts: 4.0.4
  google_maps_flutter: ^2.3.0
  hive: ^2.2.3
  hive_flutter: ^1.1.0
  image_picker: ^0.8.7+5
  intl: 0.18.1
  lottie: ^2.4.0
  pin_code_fields: ^7.4.0
  pinput: ^3.0.1
  shimmer: ^3.0.0
  timeago: ^3.6.0
  url_launcher: ^6.1.11

dev_dependencies:
  build_runner: ^2.4.4
  flutter_gen_runner: ^5.3.1
  flutter_lints: ^2.0.0
  flutter_test:
    sdk: flutter

flutter:
  uses-material-design: true
  assets:
    - assets/icons/
    - assets/images/
    - assets/fonts/
    - assets/animations/
  fonts:
    - family: ExpoArabic
      fonts:
        - asset: assets/fonts/ExpoArabic-Light.ttf
          weight: 200
        - asset: assets/fonts/ExpoArabic-Medium.ttf
          weight: 400
        - asset: assets/fonts/ExpoArabic-Book.ttf
          weight: 600
        - asset: assets/fonts/ExpoArabic-SemiBold.ttf
          weight: 700
        - asset: assets/fonts/ExpoArabic-Bold.ttf
          weight: 800
flutter_gen:
  output: lib/gen/
  line_length: 80
  integrations:
    flutter_svg: true
    flare_flutter: true
    rive: true
    lottie: true
